• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

LR Classic v12 won't install

New Here ,
Oct 23, 2022 Oct 23, 2022

Copy link to clipboard

Copied

Hi, after using Lr5 for many years, I saw what LrC v12 offers, so downloaded the trial.

After installation, it showed V11.5, so I looked at the Updates page and it says v12 is not compatible. I am on a 2018 version Mac Mini running Catalina (OS X 10.15.7) with i7, 16GB & 512GB SSD.

The Adobe site says v12 only needs a lesser OS X than what I have, so why won't it let me install v12?

Cheers, MalcolmScreenshot 2022-10-24 at 2.49.28 pm.pngScreenshot 2022-10-24 at 4.09.22 pm.png

TOPICS
macOS

Views

31

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Oct 24, 2022 Oct 24, 2022

Copy link to clipboard

Copied

LATEST

LrC 12 does not support macOS Catalina or earlier. You need macOS Big Sur or later.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines